/**
 * GUI para un sencillo ejercicio geométrico con un único objeto Rectangulo.
 * @author (Milton Jesús Vera Contreras - miltonjesusvc@ufps.edu.co) 
 * @version 0.000000000000001 :) --> Math.sin(Math.PI-Double.MIN_VALUE)
 */
public class FrmRectangulo extends javax.swing.JFrame {
    
    private Rectangulo rectangulo;
    
    /** Creates new form FrmRectangulo */
    public FrmRectangulo(Rectangulo rectangulo) {
        initComponents();
        this.rectangulo = rectangulo;
        setVisible(true);
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelTitulo = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        panelAdorno = new javax.swing.JPanel();
        lblImagen = new javax.swing.JLabel();
        panelBotones = new javax.swing.JPanel();
        cmdCambiarDatos = new javax.swing.JButton();
        cmdDeterminarPosicion = new javax.swing.JButton();
        cmdAyuda = new javax.swing.JButton();
        paneDatos = new javax.swing.JPanel();
        lblOrigenX = new javax.swing.JLabel();
        txtOrigenX = new javax.swing.JTextField();
        lblOrigenY = new javax.swing.JLabel();
        txtOrigenY = new javax.swing.JTextField();
        lblAncho = new javax.swing.JLabel();
        txtAncho = new javax.swing.JTextField();
        lblAlto = new javax.swing.JLabel();
        txtAlto = new javax.swing.JTextField();
        lblPuntoX = new javax.swing.JLabel();
        txtPuntoX = new javax.swing.JTextField();
        lblPuntoY = new javax.swing.JLabel();
        txtPuntoY = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Localizador Digital - Rectángulo");
        setResizable(false);

        panelTitulo.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        panelTitulo.setLayout(new java.awt.BorderLayout());

        jLabel2.setFont(new java.awt.Font("DejaVu Sans", 0, 36));
        jLabel2.setText("Localizador Digital - Rectángulo");
        panelTitulo.add(jLabel2, java.awt.BorderLayout.CENTER);

        getContentPane().add(panelTitulo, java.awt.BorderLayout.NORTH);

        panelAdorno.setBorder(javax.swing.BorderFactory.createTitledBorder(""));

        lblImagen.setFont(new java.awt.Font("DejaVu Sans", 1, 13));
        lblImagen.setForeground(new java.awt.Color(0, 0, 255));
        lblImagen.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        lblImagen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/plano1.jpg"))); // NOI18N
        lblImagen.setText("Ubicación Desconocida");
        lblImagen.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        lblImagen.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        panelAdorno.add(lblImagen);

        getContentPane().add(panelAdorno, java.awt.BorderLayout.EAST);

        panelBotones.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        panelBotones.setLayout(new java.awt.GridLayout(1, 3));

        cmdCambiarDatos.setText("Actualizar Coordenadas");
        cmdCambiarDatos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdCambiarDatosActionPerformed(evt);
            }
        });
        panelBotones.add(cmdCambiarDatos);

        cmdDeterminarPosicion.setText("Determinar Posición");
        cmdDeterminarPosicion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdDeterminarPosicionActionPerformed(evt);
            }
        });
        panelBotones.add(cmdDeterminarPosicion);

        cmdAyuda.setText("Ayuda");
        cmdAyuda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdAyudaActionPerformed(evt);
            }
        });
        panelBotones.add(cmdAyuda);

        getContentPane().add(panelBotones, java.awt.BorderLayout.SOUTH);

        paneDatos.setBorder(javax.swing.BorderFactory.createTitledBorder(""));
        paneDatos.setLayout(new java.awt.GridLayout(6, 2));

        lblOrigenX.setText("Origen X Rectángulo:");
        paneDatos.add(lblOrigenX);

        txtOrigenX.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtOrigenX.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtOrigenX.setText("0.0");
        txtOrigenX.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtOrigenX);

        lblOrigenY.setText("Origen Y Rectángulo:");
        paneDatos.add(lblOrigenY);

        txtOrigenY.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtOrigenY.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtOrigenY.setText("0.0");
        txtOrigenY.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtOrigenY);

        lblAncho.setText("Ancho Rectángulo:");
        paneDatos.add(lblAncho);

        txtAncho.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtAncho.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtAncho.setText("0.0");
        txtAncho.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtAncho);

        lblAlto.setText("Alto Rectángulo:");
        paneDatos.add(lblAlto);

        txtAlto.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtAlto.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtAlto.setText("0.0");
        txtAlto.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtAlto);

        lblPuntoX.setText("Coordenada X Punto:");
        paneDatos.add(lblPuntoX);

        txtPuntoX.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtPuntoX.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtPuntoX.setText("0.0");
        txtPuntoX.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtPuntoX);

        lblPuntoY.setText("Coordenada Y Punto:");
        paneDatos.add(lblPuntoY);

        txtPuntoY.setFont(new java.awt.Font("DejaVu Sans", 0, 18));
        txtPuntoY.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        txtPuntoY.setText("0.0");
        txtPuntoY.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        paneDatos.add(txtPuntoY);

        getContentPane().add(paneDatos, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void cmdDeterminarPosicionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdDeterminarPosicionActionPerformed
       float x = Float.parseFloat(txtPuntoX.getText());
       float y = Float.parseFloat(txtPuntoY.getText());
       lblImagen.setText(rectangulo.getPosicionPunto(x, y));
    }//GEN-LAST:event_cmdDeterminarPosicionActionPerformed

    private void cmdCambiarDatosActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdCambiarDatosActionPerformed
      rectangulo.setOrigenX(Float.parseFloat(txtOrigenX.getText()));
      rectangulo.setOrigenY(Float.parseFloat(txtOrigenY.getText()));
      rectangulo.setAncho(Float.parseFloat(txtAncho.getText()));
      rectangulo.setAlto(Float.parseFloat(txtAlto.getText()));
      lblImagen.setText("Ubicacion Desconocida");
      javax.swing.JOptionPane.showMessageDialog(this, "Coordenadas Actualizadas");
}//GEN-LAST:event_cmdCambiarDatosActionPerformed

    private void cmdAyudaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdAyudaActionPerformed
      javax.swing.JOptionPane.showMessageDialog(this, "Determina la ubicación de un Punto\nRelativa a un Rectángulo.");
    }//GEN-LAST:event_cmdAyudaActionPerformed

    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton cmdAyuda;
    private javax.swing.JButton cmdCambiarDatos;
    private javax.swing.JButton cmdDeterminarPosicion;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel lblAlto;
    private javax.swing.JLabel lblAncho;
    private javax.swing.JLabel lblImagen;
    private javax.swing.JLabel lblOrigenX;
    private javax.swing.JLabel lblOrigenY;
    private javax.swing.JLabel lblPuntoX;
    private javax.swing.JLabel lblPuntoY;
    private javax.swing.JPanel paneDatos;
    private javax.swing.JPanel panelAdorno;
    private javax.swing.JPanel panelBotones;
    private javax.swing.JPanel panelTitulo;
    private javax.swing.JTextField txtAlto;
    private javax.swing.JTextField txtAncho;
    private javax.swing.JTextField txtOrigenX;
    private javax.swing.JTextField txtOrigenY;
    private javax.swing.JTextField txtPuntoX;
    private javax.swing.JTextField txtPuntoY;
    // End of variables declaration//GEN-END:variables
    
}
